<template>
  <div>
    <VueApexCharts
      type="bar"
      height="350"
      :options="chartOptions"
      :series="series"
    ></VueApexCharts>
  </div>
</template>

<script>
import VueApexCharts from "vue-apexcharts";

export default {
  components: {
    VueApexCharts
  },
  props: {
    chartData: { type: Object, default: () => ({}) }
  },
  data() {
    return {
      series: this.chartData.series,
      chartOptions: {
        chart: {
          type: "bar",
          height: 350,
          stacked: true
        },
        plotOptions: {
          bar: {
            horizontal: true
            // borderRadius: 10
          }
        },
        // stroke: {
        //   width: 1,
        //   colors: ["#fff"]
        // },
        title: {
          text: "Hoàn thành 7 ngày gần đây"
        },
        xaxis: {
          categories: this.chartData.categories,
          labels: {
            formatter: function(val) {
              return val;
            }
          }
        },
        yaxis: {
          title: {
            text: undefined
          }
        },
        tooltip: {
          y: {
            formatter: function(val) {
              return val + " (nhiệm vụ)";
            }
          }
        },
        fill: {
          opacity: 1
        },
        legend: {
          show: false
          // position: "top",
          // horizontalAlign: "left",
          // offsetX: 40
        }
      }
    };
  }
};
</script>
